local L =  AceLibrary("AceLocale-2.2"):new("MoBuffs")

-- begin adding localization support
L:RegisterTranslations("enUS", function() return {
-- misc. text
	["MoBuffs"] = true,
	["missing"] = true,
	["active"] = true,
	["Party"] = true,
	["Raid"] = true,
-- talent tree names -- move this to Babble-SpellTree-2.2
	["Marksmanship"] = true,
	["Discipline"] = true,
-- battle and guardian buffs
-- these check the buff descriptions on the buff icon for the line about "counts as both Battle and Guardian Elixir", etc.
	["Battle and Guardian Elixir"] = true,      -- regex for battle and guardian elixir
	["Battle Elixir"] = true,                   -- regex for battle elixir
	["Guardian Elixir"] = true,                 -- regex for guardian elixir
-- food buffs
	["Well Fed"] = true,                        -- Most Foods
	["\"Well Fed\""] = true,                    -- Filled Yellow Brewfest Stein
	["Increased Stamina"] = true,               -- Dirge"s Kickin" Chimaerok Chops
	["Electrified"] = true,                     -- Stormchops
	["Rumsey Rum Black Label"] = true,          -- Rumsey Rum Black Label
	["Enlightened"] = true,                     -- Skullfish Soup
-- flask buffs
	["^Unstable Flask of the "] = true,         -- regex for BE Flasks (only in BE or Gruuls)
	["^Shattrath Flask of "] = true,            -- regex for Shattrath Flasks
	["^Flask of "] = true,                      -- regex for most other Flasks
	["Chromatic Resistance"] = true,            -- Flask of Chromatic Resistance
	["Chromatic Wonder"] = true,                -- Flask of Chromatic Wonder
	["Distilled Wisdom"] = true,                -- Flask of Distilled Wisdom
	["Supreme Power"] = true,                   -- Flask of Supreme Power
	["Relentless Assault of Shattrath"] = true, -- Shattrath Flask of Relentless Assault
	["Fortification of Shattrath"] = true,      -- Shattrath Flask of Fortification
	["Mighty Restoration of Shattrath"] = true, -- Shattrath Flask of Mighty Restoration
	["Supreme Power of Shattrath"] = true,      -- Shattrath Flask of Supreme Power
-- temporary weapon/shield buffs
-- these check the buff descriptions on the weapon tooltip.
	["^([%a]+ Ward of Shielding)"] = true,      -- regex for (Lesser|Greater) Ward of Shielding
	["^(Weighted %(%+%d+ [^%)]+%))"] = true,    -- regex for Sharpened (+\d+ Damage) -- Sharpening Stones
	["^(Sharpened %(%+%d+ [^%)]+%))"] = true,   -- regex for Weighted (+\d+ Damage) -- Weightstones
	["^([%a-]+ Poison ?[IVX]*)"] = true,        -- regex for (Anesthtic|Deadly|Crippling|Wound|Instant|Mind-numbing) Poison (I|II|III|IV|V|VI|VII)
	["^([%a]+ Mana Oil)"] = true,               -- regex for (Minor|Superior|Brillant|Blessed) Mana Oil
	["^([%a]+ Wizard Oil)"] = true,             -- regex for (Minor|Superior|Brillant|Blessed) Wizard Oil
	["^(Wizard Oil)"] = true,                   -- regex for Wizard Oil
	["^(Frost Oil)"] = true,                    -- regex for Frost Oil
	["^(Shadow Oil)"] = true,                   -- regex for Shadow Oil
-- buff indicators
	["Zone"] = true,       -- not in same zone
	["Battle"] = true,     -- battle elixir
	["Guardian"] = true,   -- guardian elixir
	["Food"] = true,       -- food
	["WeapBuff"] = true,   -- weapon buff
	["Crusader"] = true,   -- paladin crusader aura
	["ShadResist"] = true, -- paladin shadow resistance aura
	["Pet"] = true,        -- hunter/lock pet
	["Aspect"] = true,     -- hunter aspect
	["AoBeast"] = true,    -- hunter aspect of the beast self buff
	["AoPack"] = true,     -- hunter aspect of the pack party buff
	["Armor"] = true,      -- mage/lock armor self buff
	["InnerFire"] = true,  -- priest inner fire self buff
	["ShadProt"] = true,   -- priest shadow protection buff
	["Fort"] = true,       -- priest fortification buff
	["Wild"] = true,       -- druid mark/gift of the wild buff
	["Int"] = true,        -- mage intellect buff
	["Pvp"] = true,        -- pvp flagged
	["Trueshot"] = true,   -- hunter trueshot aura
	["Spirit"] = true,     -- priest divine spirit buff
	["Blessings"] = true,  -- paladin blessing buff
	["Wis"] = true,        -- paladin blessing of wisdom buff
	["Might"] = true,      -- paladin blessing of might buff
	["Salv"] = true,       -- paladin blessing of salvation buff
	["RFury"] = true,      -- paladin righteous fury self buff
	["Thorns"] = true,     -- druid thorns buff
	["Aura"] = true,       -- paladin aura
	["Soulstone"] = true,  -- warlock soulstone buff
} end)
